# frozen_string_literal: true

require_relative 'lib/sftui/version'

Gem::Specification.new do |spec|
  spec.name = 'sftui'
  spec.license = 'MIT'
  spec.version = Sftui::VERSION
  spec.authors = ['Huy Duong']
  spec.email = ['huy.duong@employmenthero.com']

  spec.summary = 'Terminal app for smart factory.'
  spec.description = 'Terminal app for smart factory.'
  spec.homepage = 'https://github.com/pces-vn/smart-factory-tui'
  spec.required_ruby_version = Gem::Requirement.new('>= 2.3.0')

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = 'https://github.com/pces-vn/smart-factory-tui'

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'httparty', '~> 0.18.1'
  spec.add_dependency 'pastel', '~> 0.7.4'
  spec.add_dependency 'rake', '~> 12.0'
  spec.add_dependency 'rspec', '~> 3.0'
  spec.add_dependency 'serialport', '~> 1.3.1'
  spec.add_dependency 'sidekiq', '~> 6.0.6'
  spec.add_dependency 'tty-spinner', '~> 0.9.3'
  spec.add_dependency 'tty-table', '~> 0.11.0'

  spec.add_development_dependency 'bundler', '~> 2.1.4'
  spec.add_development_dependency 'rubocop', '~> 0.86.0'
end
